MersenneTwister64 (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.engine.MersenneTwister64 class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random.engine
Class MersenneTwister64

    java.lang.Object
      cern.colt.PersistentObject
          cern.jet.random.engine.RandomEngine
              cern.jet.random.engine.MersenneTwister
                  cern.jet.random.engine.MersenneTwister64

All Implemented Interfaces:
  Cloneable, DoubleFunction, IntFunction, Serializable

public class MersenneTwister64
extends MersenneTwister

Same as `MersenneTwister` except that method `raw()` returns 64 bit random numbers instead of 32 bit random numbers.

Version:
  1.0, 09/24/99
See Also:
  `MersenneTwister`, Serialized Form

Field Summary

Fields inherited from class cern.jet.random.engine.MersenneTwister
`DEFAULT_SEED`

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`MersenneTwister64()` Constructs and returns a random number generator with a default seed, which is a constant.
`MersenneTwister64(Date d)` Constructs and returns a random number generator seeded with the given date.
`MersenneTwister64(int seed)` Constructs and returns a random number generator with the given seed.

Method Summary
`double` | `raw()` Returns a 64 bit uniformly distributed random number in the open unit interval `(0.0,1.0)` (excluding 0.0 and 1.0).

Methods inherited from class cern.jet.random.engine.MersenneTwister
`clone, nextInt`

Methods inherited from class cern.jet.random.engine.RandomEngine
`apply, apply, makeDefault, nextDouble, nextFloat, nextLong`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MersenneTwister64

    public MersenneTwister64()

  Constructs and returns a random number generator with a default seed, which is a constant.

### MersenneTwister64

    public MersenneTwister64(int seed)

  Constructs and returns a random number generator with the given seed.

Parameters:
  `seed` - should not be 0, in such a case `MersenneTwister64.DEFAULT_SEED` is silently substituted.

### MersenneTwister64

    public MersenneTwister64(Date d)

  Constructs and returns a random number generator seeded with the given date.

Parameters:
  `d` - typically `new java.util.Date()`

Method Detail

### raw

    public double raw()

  Returns a 64 bit uniformly distributed random number in the open unit interval `(0.0,1.0)` (excluding 0.0 and 1.0).

  Overrides:
    `raw` in class `RandomEngine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage